Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156369 - exports > 14 characters cause status check failures
Summary: exports > 14 characters cause status check failures
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 14:28 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 15:40:50 UTC


Attachments (Terms of Use)
fix from Birger (deleted)
2005-04-29 14:34 UTC, Lon Hohberger
no flags Details | Diff

Description Lon Hohberger 2005-04-29 14:28:25 UTC
Any NFS export which is > 14 lines in length is constantly unexported/reexported.

Reproducible: 100%

[root@red ~]# exportfs
/usr/share/automake-1.9
                @foo2
/mnt/tmp        @foo
/mnt/spare      <world>
[root@red ~]# OCF_RESKEY_name=foo OCF_RESKEY_TARGET=@foo2
OCF_RESKEY_path=/usr/share/automake-1.9 /usr/share/cluster/nfsclient.sh status
[root@red ~]# echo $?
1[root@red ~]# OCF_RESKEY_name=foo OCF_RESKEY_TARGET=@foo2
OCF_RESKEY_path=/usr/share/automake-1.9 ./nfsclient-patched.sh status
[root@red ~]# echo $?
0

Comment 1 Lon Hohberger 2005-04-29 14:34:22 UTC
Created attachment 113846 [details]
fix from Birger

Comment 2 Lon Hohberger 2005-04-29 14:38:08 UTC
The output in the initial bug report is checking without and with the patch,
respectively.

Comment 3 Lon Hohberger 2005-04-29 14:52:25 UTC
This causes ESTALE if a client is accessing the file system and the
unexport/reexport occurs.

Comment 4 Lon Hohberger 2005-04-29 19:19:14 UTC
Patches committed .... everywhere


Note You need to log in before you can comment on or make changes to this bug.